Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class StartTLSExtensionImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.StartTLSExtensionImpl

All Implemented Interfaces:
  StartTLSExtension

    public class StartTLSExtensionImpl

extends java.lang.Object
implements StartTLSExtension

This class is used to support the Start TLS extended operation for LDAP v3

Version:
  $Revision: 1.8 $
Author:

Constructor Summary
`StartTLSExtensionImpl(LDAPClientApplicationImpl app)` Creates a new instance of StartTLSExtensionImpl

Method Summary
`void` | `startTLS()` Method that initiates the TLS connection
`void` | `stopTLS()` Method that stops the TLS connection

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartTLSExtensionImpl

    public StartTLSExtensionImpl(LDAPClientApplicationImpl app)

  Creates a new instance of StartTLSExtensionImpl

  Parameters:
    `app` - The LDAP client application associated with this StartTLSExtensionImpl instance. public StartTLSExtensionImpl(NonManagedLDAPClientApplicationImpl app){ this.app = app; this.ldapConn = this.app.getLDAPConnection(); mLogger = LogFactory.getLogger("STC.eWay.LDAP."+getClass().getName()); }

Method Detail

### startTLS

    public void startTLS()
                  throws LDAPApplicationException

  Method that initiates the TLS connection

  Specified by:
    `startTLS` in interface `StartTLSExtension`
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### stopTLS

    public void stopTLS()
                 throws LDAPApplicationException

  Method that stops the TLS connection

  Specified by:
    `stopTLS` in interface `StartTLSExtension`
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD